Subject: Re: Mushroom references
From: [email-masked] (Church8)
Date: 23 Jul 1994 22:35:04 -0400
Newsgroups: bionet.mycology

In article <[email-masked]>,
[email-masked] (James Jobe) writes:

Re; Resources guides for mushroom id.  Actually I have found most of the
guides/experts focus on the PNW or the Michigan area. But I am not that
widly read. Maybe I'm missing some things.  The Audubom guide has nice
pictures but the english names drive me nuts. Try: Mushrooms of North
America by Orson Miller; The Mushroom Hunter's Field Guide- Alexander H.
Smith (both well used by hunters in the US) I have also found help from
Mushrooms of the World- Lucius Von Frieden (Bobs Merrill). An old classic
is LCC Krieger,s The Mushroom Handbook. Another surprizingly helpful book
(for it's size) is The Oxford Book on Flowerless Plants"   This is all
pretty standard stuff and not very techincal (that's me!)  Enjoy God's
Creation! TDC (church8.aol.com)